﻿
/* Custom format for datatables pagination */

.dataTables_wrapper .dataTables_paginate {
    display:flex;
    align-items:center;
}


.dataTables_wrapper .dataTables_paginate .paginate_button {
    box-sizing: border-box;
    padding: 5px 5px;
}

    .dataTables_wrapper .dataTables_paginate .paginate_button {
        box-sizing: border-box;
        display: inline-block;
        min-width: 1.5em;
        padding: 0.2em;
        margin-left: 2px;
        text-align: center;
        text-decoration: none !important;
        cursor: pointer;
        *cursor: hand;
        color: #333 !important;
        border: 0px solid transparent !important;
        border-radius: 3px;
    }
    
.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    color: #ffffff !important;
    background: #222222 !important;
            
}

    .dataTables_wrapper .dataTables_paginate .paginate_button.disabled, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
        cursor: default !important;
        color: #666 !important;
        border: 0px solid transparent !important;
        background: transparent !important;
        box-shadow: none !important;
    }

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    cursor: hand !important;
    color: #333 !important ;
    border: 0px solid #979797 !important;
    background: white !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:active {
    cursor: default !important;
    color: #ffffff !important;
    background: #222222 !important;
    border-color: #222222 !important;
}


.dataTables_wrapper .dataTables_paginate {
    color: #333 !important;
}

.page-item.active .page-link {
    z-index: 1;
    color: #fff;
    background-color: #222222 !important;
    border-color: #222222 !important;
}

.page-item.disabled .page-link {
    border: 0px;
}

@media screen and (max-width: 767px) {
    .dataTables_wrapper .dataTables_paginate {
        float: none !important;
        text-align: center !important;
    }
}
.dataTables_wrapper .dataTables_processing {
    padding: 0px;
    margin-top: 0px !important;
    margin-left: 0px !important;
    width: calc(100%) !important;
    height: calc(100%);
    background: none rgba(0, 0, 0, 0.3);
    top: 0px !important;
    left: 0px !important;
    z-index: 100;
    position: absolute;
    
}
    
.datatable-loading {
    position: absolute;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    color: red;
}

    
/* :not(:required) hides these rules from IE9 and below */

.datatable-loading:not(:required) {
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.datatable-loading:not(:required):after {
    content: '';
    display: block;
    font-size: 10px;
    width: 1em;
    height: 1em;
    margin-top: -0.5em;
    -webkit-animation: spinner 1500ms infinite linear;
    -moz-animation: spinner 1500ms infinite linear;
    -ms-animation: spinner 1500ms infinite linear;
    -o-animation: spinner 1500ms infinite linear;
    animation: spinner 1500ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
    box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
}
        /*
.dataTables_wrapper .dataTables_processing {
    position: absolute;
    top: -10px;
    left: calc(60%-10px);
    width: calc(100% + 20px);
    height: calc(100% + 20px);
    padding: 0px;
    margin-top: 0px;
    background: none rgba(128, 128, 128, 0.5);
    margin-left: calc(-50% - 10px);
    z-index: 100
}

.datatable-spinner {
    position: absolute;
    top: calc(50% - 25px);
    left: calc(50% - 25px);
    font-size: 50px;
    color: rgba(255,255,255,0.75);
}
    */
